complexType "Documentation"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 8 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | masterAgreement?, (masterConfirmation? | brokerConfirmation?)?, contractualDefinitions*, contractualTermsSupplement*, contractualMatrix*, creditSupportAgreement?, attachment*
</...>

Content Model Elements (8):

  attachment,
  brokerConfirmation,
  contractualDefinitions (in documentation defined in Trade complexType),
  contractualMatrix,
  contractualTermsSupplement (in documentation defined in Trade complexType),
  creditSupportAgreement (in documentation defined in Trade complexType),
  masterAgreement (in documentation defined in Trade complexType),
  masterConfirmation

All Direct / Indirect Based Elements (1):

  documentation (defined in Trade complexType)

Known Usage Locations

- As direct type of elements (1):
  documentation (defined in Trade complexType)

Annotation
An entity for defining the definitions that govern the document and should include the year and type of definitions referenced, along with any relevant documentation (such as master agreement) and the date it was signed.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="Documentation"> <xsd:sequence> <xsd:element minOccurs="0" name="masterAgreement" type="MasterAgreement"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="masterConfirmation" type="MasterConfirmation"/> <xsd:element minOccurs="0" name="brokerConfirmation" type="BrokerConfirmation"/> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualDefinitions" type="ContractualDefinitions"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualTermsSupplement" type="ContractualTermsSupplement"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualMatrix" type="ContractualMatrix"/> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="attachment" type="Resource"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/8)
attachment

  Type: | Resource, complex content

  A human readable document related to this transaction, for example a confirmation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="attachment" type="Resource"/>

brokerConfirmation

  Type: | BrokerConfirmation, complex content

  Specifies the deails for a broker confirm.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="brokerConfirmation" type="BrokerConfirmation"/>

contractualDefinitions

  Type: | ContractualDefinitions, simple content

  The definitions such as those published by ISDA that will define the terms of the trade.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualDefinitions" type="ContractualDefinitions"/>

contractualMatrix

  Type: | ContractualMatrix, complex content

  A reference to a contractual matrix of elected terms/values (such as those published by ISDA) that shall be deemed to apply to the trade. The applicable matrix is identified by reference to a name and optionally a publication date. Depending on the structure of the matrix, an additional term (specified in the matrixTerm element) may be required to further identify a subset of applicable terms/values within the matrix.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualMatrix" type="ContractualMatrix"/>

contractualTermsSupplement

  Type: | ContractualTermsSupplement, complex content

  A contractual supplement (such as those published by ISDA) that will apply to the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="contractualTermsSupplement" type="ContractualTermsSupplement"/>

creditSupportAgreement

  Type: | CreditSupportAgreement, complex content

  The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/>

masterAgreement

  Type: | MasterAgreement, complex content

  The agreement executed between the parties and intended to govern all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterAgreement" type="MasterAgreement"/>

masterConfirmation

  Type: | MasterConfirmation, complex content

  The agreement executed between the parties and intended to govern all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="masterConfirmation" type="MasterConfirmation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.